=========================================
=                                       =
=     The Weather Condition Snippet     =
=                                       =
=========================================

Greetings all....Another quick and short snippet 
to add some flavor to your mud.  If you like
it use it, if not dont.  Please dont preach to
me about proper coding or anything, unless there
is a critical error or something.  This works
fine on our mud -AS IS-.  And this is presented
-AS IS- works on some, doesnt on others.  I think
the only snippet i ever installed without getting
an error was a hand patch of ivan's OLC ( laugh ).

Ok enough jabber here it is...To be added right 
before this section in ACT_INFO.c

b4 this
 if ( !IS_NPC(ch) && IS_SET(ch->act, PLR_AUTOEXIT) )
        {
            send_to_char("\n\r",ch);
            do_exits( ch, "auto" );
        }     


Add this..

	if ( IS_OUTSIDE(ch))
	{
	if (number_range(0,10) < 5 )
	{
	if (weather_info.sky == SKY_RAINING)
	{
	send_to_char("{wA cold wind howls and blows the snow.{x\n\r",ch);
	}

	else if (weather_info.sky == SKY_CLOUDY)
	{
	send_to_char("{wA cold wind is blowing.{x\n\r",ch);
	}
	}
	}	

I think you get the idea of how it can be expanded.
That is it WOW! real hard, but adds flavor, and can be modified
to the weather conditions you have on your mud.  Ours is a snow
world, so it fits us..This is just a small section, but add all
your weather_info.sky  to it that you want. Then every now and
then as the player moves through rooms, a weather state will give
it some flavor...


Grehyton

Rylelia -*= WURM MUD =*-
http://cleric.lug.usf.edu/~wurm
telnet 131.247.1.84 9000

grehyton@cleric.lug.usf.edu

